#include<bits/stdc++.h>
using namespace std;
int n, a[100000];
int tg(int d, int c)
{
    int s=0;
    for(int x=d;x<=c;x++)
    {
        s=s+a[x];
    }
    return s;
}
int main()
{
    ifstream fi("dconmax.inp");
    ofstream fo("dconmax.out");
    fi>>n;
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    int max=0;
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(tg(i,j)>max)
            {
                max=tg(i,j);
            }
        }
    }
    fo<<max;
}
